### Method

# Fwupd Client set_main_context

#### Declaration [src]

    void
    fwupd_client_set_main_context (
      FwupdClient* self,
      GMainContext* main_ctx
    )

#### Description [src]

Sets the internal main context to use for returning progress signals.

Available since: | 1.5.3

#### Parameters

`main_ctx` | `GMainContext`
| The global default main context to use.
| The argument can be `NULL`.
| The data is owned by the caller of the function.